#!/bin/sh

set -euo pipefail

/usr/local/bin/ubnt-firmware-downloader
# If a cron expression is defined, run a cron daemon
if [ -n "${UBNT_CRON}" ]; then
  echo "Running using cron with expression ${UBNT_CRON}"
  cat <<_EOF > /tmp/crontab
  ${UBNT_CRON} /usr/local/bin/ubnt-firmware-downloader
_EOF
  supercronic /tmp/crontab
fi

