unifi.http.port=8080
unifi.https.port=8443
portal.http.port=8880
portal.https.port=8843
unifi.stun.port={{ env "NOMAD_PORT_stun" }}
unifi.db.nojournal=true
db.mongo.local=false
[[- $mongo := urlParse .unifi.controller.mongo.address ]]
[[- $mongo_stats := urlParse .unifi.controller.mongo.stats_address ]]
db.mongo.uri=[[ $mongo.Scheme ]]://
[[- if has .unifi.controller.mongo "user" ]]
[[- .unifi.controller.mongo.user ]]:{{ with secret "[[ .env.suffix ]]kv/service/[[ .unifi.job_name ]]" }}{{ urlquery .Data.data.mongo_pwd }}{{ end }}@
[[- end ]]
[[- $mongo.Host ]][[ $mongo.Path ]]?[[ $mongo.RawQuery ]]
statdb.mongo.uri=[[ $mongo_stats.Scheme ]]://
[[- if has .unifi.controller.mongo "user" ]]
[[- .unifi.controller.mongo.user ]]:{{ with secret "[[ .env.suffix ]]kv/service/[[ .unifi.job_name ]]" }}{{ urlquery .Data.data.mongo_pwd }}{{ end }}@
[[- end ]]
[[- $mongo_stats.Host ]][[ $mongo_stats.Path ]]?[[ $mongo_stats.RawQuery ]]
debug.device=info
debug.mgmt=info
debug.system=info
debug.sdn=warn
autobackup.dir=/data/backup
